Package org.apache.avro.idl

# Class IdlSchemaFormatterFactory

java.lang.Object
org.apache.avro.idl.IdlSchemaFormatterFactory

All Implemented Interfaces:
  `org.apache.avro.SchemaFormatterFactory`

public class IdlSchemaFormatterFactory extends Object implements org.apache.avro.SchemaFormatterFactory

## Constructor Summary

Constructors
Constructor
Description
`IdlSchemaFormatterFactory()`

## Method Summary

Modifier and Type
Method
Description
`org.apache.avro.SchemaFormatter`
`getDefaultFormatter()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.avro.SchemaFormatterFactory

`formatName, getFormatterForVariant`

## Constructor Details

### IdlSchemaFormatterFactory

public IdlSchemaFormatterFactory()

## Method Details

### getDefaultFormatter

public org.apache.avro.SchemaFormatter getDefaultFormatter()

Specified by:
  `getDefaultFormatter` in interface `org.apache.avro.SchemaFormatterFactory`